<template>
<div class="surfspots-list-wrapper">
	<h5 class="title">Surfspots</h5>
	<div class="surfspots-list-container">
		<div class="surfspots-list-container__list">
			<div class="surfspots-list-container__list__element" v-for="(i,index) in 5" :key="index">
				<div class="surfspots-list-container__list__element__image-container"><img src="https://picsum.photos/200/300/?random" alt=""></div>
				<div class="surfspots-list-container__list__element__info">
					<h4>Kids spot</h4>
					<p>Lyft master cleanse next level banjo...<a href="">+ Mehr</a></p>
				</div>				
			</div>
			<div class="surfspots-list-container__list__element">
				<h3><a href="">...+Mehr</a></h3>				
			</div>
		</div>
	</div>
</div>
</template>

<script>
export default {

}
</script>

<style lang="scss" scoped>
$primary : #00a290;

.surfspots-list-wrapper{
	max-width: 959px;
	margin: auto;
	margin-top: 27px;

	@media(max-width: 1010px){
    padding-left: 20px;
  }

	h5.title{
    color: #48443E;
    font-family: "Brandon Grotesque";
    font-size: 12px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
		margin-bottom: 11px;
  }	

}


.surfspots-list-container{
	position: relative;
	box-sizing: border-box;
	overflow-x: auto;

	&__list{
		display: flex;
		justify-content: space-between;
		min-width: 900px;
		flex-wrap: wrap;

		&__element{
			width: 303px;
			justify-content: space-between;
			display: flex;
			align-items: center;
			margin-bottom: 44px;
			flex-shrink: 0;
			width: 33%;

			h3 a{
				color: $primary;
				font-family: Roboto;
				font-size: 20px;
				font-weight: normal;
				text-decoration: none;
			}
			

			&__image-container{
				flex-shrink: 0;
				height: 80px;
				width: 80px;
				border-radius: 4px;
				overflow: hidden;
				margin-right: 16px;
				transition: .2s all;

				&:hover{
					box-shadow: 0px 13px 20px -6px #95c5c0;
					transform: scale(1.1);
				}

				img{
					width: 100%;
					height: 100%;
					object-fit: cover;
				}
			}

			&__info{
				font-family: Roboto;
				color: #48443E;

				h4{
					font-weight: normal;
					font-size: 20px;
					margin: 0;
					margin-bottom: 5px;
				}

				p{
					font-size: 16px;
					margin: 0;

					a{
						color: $primary;
						text-decoration: none;
					}
				}
			}
		}
	}


	&:before{
    content: '';
    position: absolute;
    background-color: #ECECEB;
    height: 1px;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
  }
}

	/* width */
	::-webkit-scrollbar {
			width: 10px;
			height: 2px;
			border-radius: 1px;
	}

	/* Track */
	::-webkit-scrollbar-track {
			background: #f1f1f1; 
	}
	
	/* Handle */
	::-webkit-scrollbar-thumb {
			background: #888; 
	}

	/* Handle on hover */
	::-webkit-scrollbar-thumb:hover {
			background: #555; 
	}

</style>
